Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.build
Class LegacyTestBuildObject

    java.lang.Object
      com.atlassian.bamboo.build.LegacyBuildObject
          com.atlassian.bamboo.build.LegacyTestBuildObject

All Implemented Interfaces:
  Build, BuildDefinition, BuildDefinitionForBuild, BuildDefinitionXml, BambooObject, Project

    public class LegacyTestBuildObject

extends LegacyBuildObject

Field Summary

Fields inherited from class com.atlassian.bamboo.build.LegacyBuildObject
`myBuildResultSummaries`

Fields inherited from interface com.atlassian.bamboo.build.Build
`MAX_NUMBER_LOG_ENTRIES, MAX_PREVIOUS_BUILD_FOR_AVE, STATUS_CURRENTLY_BUILDING, STATUS_FAIL, STATUS_NO_BUILDS, STATUS_SUCCESS`

Constructor Summary
`LegacyTestBuildObject()`
`LegacyTestBuildObject(Repository repository, String name, BuilderManager builderManager)`
`LegacyTestBuildObject(Repository repository, String name, String emailAddress, BuilderManager builderManager)`

Method Summary
`void` | `addBuildResultSummary(BuildResultsSummary buildResultsSummary)` Add the given build results summary to the build.
`List` | `getBuildResultSummaries()` Obtains the builds total collection of `BuildResultsSummary` objects (most recent first), one for each build.
`BuildResultsSummary` | `getFirstBuildSummary()`
`BuildResultsSummary` | `getLatestBuildSummary()` Get the summary from the latest build
`long` | `getNumberOfBuildSummaries()`
`void` | `removeBuildResultSummary(long buildNumber)` Remove the given build summary from the build

Methods inherited from class com.atlassian.bamboo.build.LegacyBuildObject
`addArtifact, addBuildDependency, addBuildLogEntry, addBuildLogEntry, clearBuildLog, equals, getArtifacts, getAverageBuildDuration, getBuild, getBuildChangedEmailList, getBuildChangedEmails, getBuildDefinition, getBuildDefinitionXml, getBuildDependencies, getBuildDependenciesSet, getBuilder, getBuildKey, getBuildLog, getBuildName, getBuildResultsSummaryManager, getBuilds, getBuildStrategy, getChildBuilds, getCurrentBuildStrategy, getCurrentStatus, getCustomConfiguration, getDefaultBuildDefinition, getEmailStrategy, getExportStatusStyle, getFieldValueItems, getFirstBuildNumber, getId, getKey, getLabellings, getLastBuildNumber, getLastBuildStartTime, getName, getNextBuildNumber, getNextBuildResults, getParentBuilds, getPollingPeriod, getPreviousBuildResults, getProject, getRepository, getSourceCodeDirectory, getXmlData, getXmppMessageSender, hasArtifacts, hasBuildDependency, hasBuildResults, hashCode, isInBuildQueue, isMarkedForDeletion, isMarkedForDependencyBuild, isMarkedForEditBuild, isMarkedForManualBuild, isSuspendedFromBuilding, markAsNeedingBuilding, markForDeletion, removeBuildDependency, retrieveNextBuildNumber, setArtifacts, setBuild, setBuildChangedEmails, setBuildDefinition, setBuildDefinitionXml, setBuildDependencies, setBuilder, setBuilderManager, setBuildKey, setBuildName, setBuildResultsSummaryManager, setBuildResultSummaries, setBuildStrategy, setChildBuilds, setCustomConfiguration, setEmailStrategy, setExportStatusStyle, setFieldValueItems, setFirstBuildNumber, setId, setInBuildQueue, setKey, setLabellings, setLastBuildNumber, setLastBuildStartTime, setName, setNextBuildNumber, setParentBuilds, setPollingPeriod, setProject, setRepository, setSuspendedFromBuilding, setWorkingDirectory, setXmlData, setXmppMessageSender, unmarkBuild, validateBuild`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LegacyTestBuildObject

    public LegacyTestBuildObject()

### LegacyTestBuildObject

    public LegacyTestBuildObject(Repository repository,
                                 String name,
                                 BuilderManager builderManager)

### LegacyTestBuildObject

    public LegacyTestBuildObject(Repository repository,
                                 String name,
                                 String emailAddress,
                                 BuilderManager builderManager)

Method Detail

### removeBuildResultSummary

    public void removeBuildResultSummary(long buildNumber)

  Description copied from interface: `Build`
  Remove the given build summary from the build

  Specified by:
    `removeBuildResultSummary` in interface `Build`
  Overrides:
    `removeBuildResultSummary` in class `LegacyBuildObject`
  Parameters:
    `buildNumber` - the number of the build to delete

### addBuildResultSummary

    public void addBuildResultSummary(BuildResultsSummary buildResultsSummary)

  Description copied from class: `LegacyBuildObject`
  Add the given build results summary to the build.

  Specified by:
    `addBuildResultSummary` in interface `Build`
  Overrides:
    `addBuildResultSummary` in class `LegacyBuildObject`
  Parameters:
    `buildResultsSummary` - The build summary

### getBuildResultSummaries

    public List getBuildResultSummaries()

  Description copied from class: `LegacyBuildObject`
  Obtains the builds total collection of `BuildResultsSummary` objects (most recent first), one for each build. EW 01/11/2006 - Moved to a hibernated source for build result summaries.

  Specified by:
    `getBuildResultSummaries` in interface `Build`
  Overrides:
    `getBuildResultSummaries` in class `LegacyBuildObject`
  Returns:
    The collection of build summary objects

### getNumberOfBuildSummaries

    public long getNumberOfBuildSummaries()

  Overrides:
    `getNumberOfBuildSummaries` in class `LegacyBuildObject`

### getLatestBuildSummary

    public BuildResultsSummary getLatestBuildSummary()

  Description copied from class: `LegacyBuildObject`
  Get the summary from the latest build

  Specified by:
    `getLatestBuildSummary` in interface `Build`
  Overrides:
    `getLatestBuildSummary` in class `LegacyBuildObject`
  Returns:
    The summary info for the last completed build. Returns null if there are no build results for this build

### getFirstBuildSummary

    public BuildResultsSummary getFirstBuildSummary()

  Specified by:
    `getFirstBuildSummary` in interface `Build`
  Overrides:
    `getFirstBuildSummary` in class `LegacyBuildObject`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.